Mac OS X安装PHP扩展支持

最近升级到了Mac OS X 10.10 Yosemite版本,系统的PHP环境也跟着升级了,从原来的5.4升级到了5.5.14。开发系统中的一些PHP扩展库全都木有了,需要重新安装。现在记录一下这个,以备查询。

安装PHP扩展要求你的Mac系统已经安装了Xcode环境和命令行开发工具,如果还没安装,请先使用Shell安装。

xcode-select --install

为了扩展管理方便,首先来安装pecl扩展管理器。

cd /usr/lib/php
sudo php install-pear-nozlib.phar

安装Redis、Memcache、Mongo等扩展。

sudo pecl install redis
sudo pecl install memcache
sudo pecl install mongo
sudo pecl install xdebug

将扩展配置添加的php.ini文件中:

extension=memcache.so
extension=mongo.so
extension=redis.so
zend_extension=xdebug.so

安装xcache,从官网下载http://xcache.lighttpd.net/wiki/Release-3.2.0

解压缩并安装

tar xvf xcache-3.2.0.tar
cd xcache-3.2.0
phpize
./configure
make
sudo make install

配置XCache

[xcache]
xcache.size = 128M
xcache.var_size = 8M
xcache.var_count = 1
xcache.var_slots = 8K
xcache.var_ttl = 0
xcache.var_maxttl = 0
xcache.var_gc_interval = 300
xcache.optimizer = Off

由于Mac自带的PHP环境是不包括mcrypt扩展的,所以需要下载同版本的php源码包,单独编译这个模块加载。从官网的归档里面找到php5.5.14的源码包,下载:http://php.net/releases/

tar zxvf php-5.5.14.tar.gz
cd php-5.5.14/ext/mcrypt/
phpize
./configure
make
sudo make install

配置ext-mcrypt

extension=mcrypt.so

为了加速,还需要打开opcache。

zend_extension=opcache.so
[opcache]
; Determines if Zend OPCache is enabled
opcache.enable=0

; Determines if Zend OPCache is enabled for the CLI version of PHP
opcache.enable_cli=0